import Store from '@/store'
import Vue from 'vue'

import Router from 'vue-router'
Vue.use(Router)

import Base from './layouts/Base.vue'
import UserAnime from './views/UserAnime.vue'
import UserSelect from './views/UserSelect.vue'

export default new Router({
	mode: 'history',
	base: process.env.BASE_URL,
	routes: [
		{
			path: '/',
			component: Base,
			children: [
				{
					path: '',
					name: 'userSelect',
					component: UserSelect,
				},
				{
					path: 'anime',
					name: 'userAnime',
					component: UserAnime,
				},
			],
		},
	],
})
