export const GetUserAnime = async (userID: number): Promise<Meikan.UserAnime[]> => {
	 const res = await fetch(`https://api.meikan.moe/v1/users/${userID}/anime`)
	 const anime: Meikan.UserAnime[] = await res.json()

	 return anime
}

export const FindUsers = async (name: string): Promise<Meikan.User[]> => {
	const res = await fetch('https://api.meikan.moe/v1/users', {
		method: 'POST',
		mode: 'cors',
		body: JSON.stringify({
			name,
		}),
	})
	const users: Meikan.User[] = await res.json()

	return users
}
