declare module '*.vue' {
	import Vue from 'vue'
	export default Vue
}

declare namespace Meikan {
	export interface User {
		id: number
		name: string
	}

	export interface Anime {
		id: number
		title: string
		type: string
		episodes: number
		state: string
		rating: string
		start_date: string
		end_date: string
		genres: string[]
		average_duration: number
		anidb_id: number
		myanimelist_id: number
	}

 export interface UserAnime {
		anime: Anime
		state: string
		episode: number
		rating?: number
		hidden: boolean
		recommend: boolean
	}
}
